Bug 136625 - smbpasswd -a user -s password
smbpasswd -a user -s password
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: samba (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-21 05:50 EDT by Mario Heininger
Modified: 2014-08-31 19:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-02 11:22:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mario Heininger 2004-10-21 05:50:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)

Description of problem:
smbpasswd doesn't accept -s option tu use stdin for password prompt.




Version-Release number of selected component (if applicable):
samba-common-3.0.6-2.3E

How reproducible:
Always

Steps to Reproduce:
1.upgrade rpm to samba-common-3.0.7-2.FC2.i386.rpm
2.create an unix user 'user1'
3.smbpassd -a user1 -s password
    

Expected Results:  user should be added in /etc/samba/smbpasswd


Additional info:
Comment 1 Stefan Kutzke 2004-10-21 06:46:10 EDT
same problem with samba-common-3.0.7-1.3E

Workaround:
- create a file that contains the password two times
- use file instead of stdin:
  smbpasswd -a -s user < file
- not very nice, but works
Comment 2 Nils Philippsen 2004-11-02 11:22:54 EST
command line != stdin, the command behaves as expected and documented
-- you actually attach your file to stdin ("... < file") ;-). What you
would have to do were something like this (in shell):

(echo password; echo password) | smbpasswd -a user1 -s

In fact, you really don't want that password to appear in the list of
processes, so take care that you don't call an external executable
with the password on the command line.

Note You need to log in before you can comment on or make changes to this bug.